API Platform Base Path: https://api.enterprise.apigee.com/v1/o/{org_name}

API Resource Path: /companies/{company_name}/apps/{app_name}/keys/{consumer_key}

Deletes a company app key

Verb: DELETE

Auth: Basic Auth

Sample Request:
$ curl -u myname:mypass https://HostName/v1/o/{org_name}/companies/{company_name}/apps/{app_name}/keys/{consumer_key} -X DELETE
Sample Response:
{
  "apiProducts" : [ {
    "apiproduct" : "TestApiProduct1",
    "status" : "approved"
  }, {
    "apiproduct" : "TestApiProduct2",
    "status" : "approved"
  } ],
  "attributes" : [ {
    "name" : "region",
    "value" : "west"
  } ],
  "consumerKey" : "C64Uz5qXThbdYVeWcrPoAJgNvdXSjGgj",
  "consumerSecret" : "yTTig5Z6nfXizzvp",
  "status" : "approved"
}
Response Payload Elements:
Name Description
apiProducts API products with which this company app key is associated
status The status of the compnay app key's association with the API product: 'approved' or 'unapproved'
attributes Name/value pair attributes used to extend the default company app key profile
consumerKey The value of the consumer key
consumerSecret The consumer secret associated with this consumer key
status The status of the consumer key
Errors
Failure 4xx with proper error message
{
  "code" : "keymanagement.service.InvalidClientIdForGivenApp",
  "message" : "Invalid consumer key for Given App",
  "contexts" : [ ]
}